package com.bonus.canteen.core.supply.vo;

import com.alibaba.nacos.api.naming.pojo.Instance;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;

public class DrpSupplierApprovePageVO {
   @ApiModelProperty("Id")
   private Long id;
   @ApiModelProperty("供应商Id")
   private Long supplierId;
   @ApiModelProperty("供应商名称")
   private String supplierName;
   @ApiModelProperty("流程实例Id")
   private Long processInstanceId;
   @ApiModelProperty("审批状态(1待审批,2审批中,3审批同意,4审批拒绝)")
   private Integer approveStatus;
   @ApiModelProperty("审批人")
   private String approveBy;
   @ApiModelProperty("审批时间")
   private LocalDateTime approveTime;
   @ApiModelProperty("审批备注")
   private String approveRemark;
   @ApiModelProperty("创建人")
   private String crby;
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @ApiModelProperty("当前用户是否可以审批")
   private Boolean curUserApprove;
   @ApiModelProperty("审批记录")
   private Instance instance;
   @ApiModelProperty("备注")
   private String remark;

   public Long getId() {
      return this.id;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public Long getProcessInstanceId() {
      return this.processInstanceId;
   }

   public Integer getApproveStatus() {
      return this.approveStatus;
   }

   public String getApproveBy() {
      return this.approveBy;
   }

   public LocalDateTime getApproveTime() {
      return this.approveTime;
   }

   public String getApproveRemark() {
      return this.approveRemark;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public Boolean getCurUserApprove() {
      return this.curUserApprove;
   }

   public Instance getInstance() {
      return this.instance;
   }

   public String getRemark() {
      return this.remark;
   }

   public void setId(final Long id) {
      this.id = id;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setProcessInstanceId(final Long processInstanceId) {
      this.processInstanceId = processInstanceId;
   }

   public void setApproveStatus(final Integer approveStatus) {
      this.approveStatus = approveStatus;
   }

   public void setApproveBy(final String approveBy) {
      this.approveBy = approveBy;
   }

   public void setApproveTime(final LocalDateTime approveTime) {
      this.approveTime = approveTime;
   }

   public void setApproveRemark(final String approveRemark) {
      this.approveRemark = approveRemark;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setCurUserApprove(final Boolean curUserApprove) {
      this.curUserApprove = curUserApprove;
   }

   public void setInstance(final Instance instance) {
      this.instance = instance;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }




   public String toString() {
      Long var10000 = this.getId();
      return "DrpSupplierApprovePageVO(id=" + var10000 + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ", processInstanceId=" + this.getProcessInstanceId() + ", approveStatus=" + this.getApproveStatus() + ", approveBy=" + this.getApproveBy() + ", approveTime=" + String.valueOf(this.getApproveTime()) + ", approveRemark=" + this.getApproveRemark() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", curUserApprove=" + this.getCurUserApprove() + ", instance=" + String.valueOf(this.getInstance()) + ", remark=" + this.getRemark() + ")";
   }
}
